// DB_APIVCClientDlg.h : header file
//


#if !defined(AFX_DB_APIVCCLIENTDLG_H__C09E2F5E_9BF7_46AA_8FA8_9F3A0999DAE9__INCLUDED_)
#define AFX_DB_APIVCCLIENTDLG_H__C09E2F5E_9BF7_46AA_8FA8_9F3A0999DAE9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDB_APIVCClientDlg dialog

class CDB_APIVCClientDlg : public CDialog
{
// Construction
public:
	CDB_APIVCClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDB_APIVCClientDlg)
	enum { IDD = IDD_DB_APIVCCLIENT_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDB_APIVCClientDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDB_APIVCClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAddaccesslevel();
	afx_msg void OnEditaccesslevel();
	afx_msg void OnDeleteaccesslevel();
	afx_msg void OnConfigureEntranceAccess();
	afx_msg void OnConfigureAreaAccess();
	afx_msg void OnLogin();
	afx_msg void OnAbout();
	afx_msg void OnCardAdd();
	afx_msg void OnCardEdit();
	afx_msg void OnCardDelete();
	afx_msg void OnCardholderAdd();
	afx_msg void OnCardholderEdit();
	afx_msg void OnCardholderDelete();
	afx_msg void OnFileAccesstype();
	afx_msg void OnFileLogout();
	afx_msg void OnFileMaxcardlength();
	afx_msg void OnFileIscardnumeric();
	//afx_msg void OnFileGetwpcsdsn();
	afx_msg void OnFileGetadvdetails();
	afx_msg void OnCardholderGetcards();
	afx_msg void OnAccountGetaccounts();
	afx_msg void OnCardholderGetcardholders();
	afx_msg void OnConfiguretimezoneConfiguregroup();
	afx_msg void OnConfiguretimezoneConfigureoutput();
	afx_msg void OnTimezoneAddtimezone();
	afx_msg void OnTimezoneEdittimezone();
	afx_msg void OnTimezoneDeletetimezone();
	afx_msg void OnTimezoneConfiguretimezonerange();
	afx_msg void OnTimezoneDeletetimezonerange();
	afx_msg void OnConfiguretimezoneConfigurepaneltimezone();
	afx_msg void OnHolidaygroupAddholidaygroup();
	afx_msg void OnHolidaygroupEditholidaygroup();
	afx_msg void OnHolidaygroupDeleteholidaygroup();
	afx_msg void OnHolidayAddHoliday();
	afx_msg void OnHolidayEditHoliday();
	afx_msg void OnHolidayDeleteHoliday();
	afx_msg void OnCardholderNotefielddetails();
	afx_msg void OnConfigurePanelHG();
	afx_msg void OnCreateALTZ();
	afx_msg void OnClose();
	afx_msg void OnGetAccessTree();
	afx_msg void OnSearchCardHolders();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public :
	IApplicationPtr	pApp;
			
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DB_APIVCCLIENTDLG_H__C09E2F5E_9BF7_46AA_8FA8_9F3A0999DAE9__INCLUDED_)

